import request from "@/utils/httpRequest";

// 登录
export const user_login = (data) =>
  request({
    url: window._config.baseUrl + "user/login",
    method: "post",
    data
  });
// 5.1 服务案例管理列表
export const sc_list = (data) =>
  request({
    url: window._config.baseUrl + "sc/list",
    method: "post",
    data
  });
// 5.2 添加
export const sc_save = (data) =>
  request({
    url: window._config.baseUrl + "sc/save",
    method: "post",
    data
  });
// 5.3 修改
export const sc_update = (data) =>
  request({
    url: window._config.baseUrl + "sc/update",
    method: "post",
    data
  });
// 5.4 删除
export const sc_remove = (data) =>
  request({
    url: window._config.baseUrl + "sc/remove",
    method: "post",
    data
  });
// 6.1 学校图标管理列表
export const sl_list = (data) =>
  request({
    url: window._config.baseUrl + "sl/list",
    method: "post",
    data
  });
// 6.2 添加
export const sl_save = (data) =>
  request({
    url: window._config.baseUrl + "sl/save",
    method: "post",
    data
  });
// 6.3 修改
export const sl_update = (data) =>
  request({
    url: window._config.baseUrl + "sl/update",
    method: "post",
    data
  });
// 6.4 删除
export const sl_del = (data) =>
  request({
    url: window._config.baseUrl + "sl/del",
    method: "post",
    data
  });
// 用户列表
export const user_list = (data) =>
  request({
    url: window._config.baseUrl + "user/list",
    method: "post",
    data
  });
// 用户删除
export const user_del = (data) =>
  request({
    url: window._config.baseUrl + "user/del",
    method: "post",
    data
  });
// 用户保存
export const user_save = (data) =>
  request({
    url: window._config.baseUrl + "user/save",
    method: "post",
    data
  });
// 用户更新
export const user_update = (data) =>
  request({
    url: window._config.baseUrl + "user/update",
    method: "post",
    data
  });
// 发展历程列表
export const dh_list = (data) =>
  request({
    url: window._config.baseUrl + "dh/list",
    method: "post",
    data
  });
// 发展历程保存
export const dh_save = (data) =>
  request({
    url: window._config.baseUrl + "dh/save",
    method: "post",
    data
  });
// 发展历程更新
export const dh_update = (data) =>
  request({
    url: window._config.baseUrl + "dh/update",
    method: "post",
    data
  });
// 发展历程删除
export const dh_remove = (data) =>
  request({
    url: window._config.baseUrl + "dh/remove",
    method: "post",
    data
  });
// 登录日志
export const list_log = (data) =>
  request({
    url: window._config.baseUrl + "log/list_log",
    method: "post",
    data
  });
// 新闻资讯管理列表
export const n_list = (data) =>
  request({
    url: window._config.baseUrl + "n/list",
    method: "post",
    data
  });
// 新闻资讯添加
export const n_save = (data) =>
  request({
    url: window._config.baseUrl + "n/save",
    method: "post",
    data
  });
// 新闻资讯修改
export const n_update = (data) =>
  request({
    url: window._config.baseUrl + "n/update",
    method: "post",
    data
  });
// 新闻资讯删除
export const n_remove = (data) =>
  request({
    url: window._config.baseUrl + "n/remove",
    method: "post",
    data
  });
// 新闻资讯详情
export const n_detail = (data) =>
  request({
    url: window._config.baseUrl + "n/detail",
    method: "post",
    data
  });
//7.1.1 申请试用--列表
export const fc_list = (data) =>
  request({
    url: window._config.baseUrl + "fc/list",
    method: "post",
    data
  });
//7.1.2 申请试用--添加
export const fc_add = (data) =>
  request({
    url: window._config.baseUrl + "fc/add",
    method: "post",
    data
  });
//7.2.1 申请试用负责人--获取
export const fcu_get_user = (data) =>
  request({
    url: window._config.baseUrl + "fcu/get_user",
    method: "post",
    data
  });
//7.2.2 申请试用负责人--添加
export const fcu_add = (data) =>
  request({
    url: window._config.baseUrl + "fcu/add",
    method: "post",
    data
  });
